> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifly.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# SMS、LMS、MMSを送信する

> SMS、LMS、MMSのいずれかを送信します。

> [!WARNING]
>
> * APIでテキストメッセージ（SMS、LMS、MMS）を送信するには、**メッセージ送信プラットフォーム**で**Notifly**を選び、送信元番号を登録してください。
> * APIからの配信では、その設定に登録した番号を使います。
> * API経由の配信統計については[contact@notifly.tech](mailto:contact@notifly.tech)にお問い合わせください。この統計はコンソールに表示されません。


## OpenAPI

````yaml /ja/api-reference/openapi.yaml post /messages/text-message
openapi: 3.0.3
info:
  title: Notifly API
  version: 1.0.0
  contact:
    email: contact@notifly.tech
servers:
  - url: https://api.notifly.tech
    description: Notifly APIサーバー
security: []
tags:
  - name: catalog
    x-group: カタログ
paths:
  /messages/text-message:
    post:
      summary: send-text-message
      operationId: sendTextMessage
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - projectId
                - type
                - body
                - recipientList
              properties:
                projectId:
                  type: string
                  description: Notiflyの設定画面で確認できます。
                type:
                  type: string
                  enum:
                    - sms
                    - lms
                    - mms
                  description: メッセージの種類です。
                title:
                  type: string
                  description: メッセージの件名です。LMSとMMSで使用します。
                body:
                  type: string
                  description: メッセージの本文です。
                sendNo:
                  type: string
                  description: 複数の送信元番号を登録している場合に、配信に使う送信元番号です。
                recipientList:
                  type: array
                  items:
                    type: object
                    required:
                      - recipientNo
                    properties:
                      recipientNo:
                        type: string
                        description: 送信先の電話番号です。
                  description: 送信先のリストです。最大1,000件まで指定できます。
            example:
              projectId: example_project_1234567890abcdef
              type: sms
              body: Message Body
              recipientList:
                - recipientNo: '01012345678'
      responses:
        '200':
          description: メッセージを送信しました。
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
              example:
                success: true
        '400':
          description: 発信者情報が登録されていません。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                    nullable: true
                  error:
                    type: string
              example:
                data: null
                error: Sender info is not registered.
        '500':
          description: サーバー内部エラーです。
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
              example:
                success: false
                error: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: '`POST /authenticate`で発行したトークンをBearer形式で送信します。'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.